<?php
/*
Template Name: Portfolio (Sorting Effect)
*/

get_header(); ?>

<main id="main" class="site-main" role="main">

    <div class="inner-wrap">

        <section class="portfolio-archive">

            <?php while ( have_posts() ) : the_post(); ?>

                <section class="home_section">

                    <?php the_title( '<h2 class="section-title">', '</h2>' ); ?>

                    <div class="entry-header-excerpt"><?php the_content(); ?></div>

                    <nav class="portfolio-archive-taxonomies">
                        <ul class="portfolio-taxonomies portfolio-taxonomies-filter-by">
                            <li class="cat-item cat-item-all current-cat"><a href="<?php echo get_page_link( option::get( 'portfolio_url' ) ); ?>"><?php _e( 'All', 'wpzoom' ); ?></a></li>

                            <?php wp_list_categories( array( 'title_li' => '', 'hierarchical' => true,  'taxonomy' => 'portfolio', 'depth' => 1 ) ); ?>
                        </ul>

                    </nav>

                </section>

            <?php endwhile; // end of the loop. ?>


            <?php
            $paged = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;

            $args = array(
                'post_type'      => 'portfolio_item',
                'posts_per_page' => -1,
            );

            $wp_query = new WP_Query( $args );

            $col_number = option::get('portfolio_grid_col');

            ?>

            <?php if ( $wp_query->have_posts() ) : ?>

                <div class="portfolio-grid col_no_<?php echo $col_number; ?>">

                    <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

                        <?php get_template_part( 'portfolio/content' ); ?>

                    <?php endwhile; ?>

                </div>

                <?php get_template_part( 'pagination' ); ?>

            <?php else: ?>

                <?php get_template_part( 'content', 'none' ); ?>

            <?php endif; ?>

        </section><!-- .portfolio-archive -->

    </div>

</main><!-- #main -->

<?php get_footer(); ?>