<?php
$articleClass = ( ! has_post_thumbnail() ) ? 'no-thumbnail ' : '';

$portfolios                     = wp_get_post_terms( get_the_ID(), 'portfolio' );
$portfolio_video_popup_url      = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_popup_url', true );
$portfolio_video_popup_url_mp4  = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_popup_url_mp4', true );
$portfolio_video_popup_url_webm = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_popup_url_webm', true );
$portfolio_popup_video_type     = get_post_meta( get_the_ID(), 'wpzoom_portfolio_popup_video_type', true );
$popup_video_type               = ! empty( $portfolio_popup_video_type ) ? $portfolio_popup_video_type : 'external_hosted';
$is_video_popup_self_hosted     = $portfolio_video_popup_url_mp4 || $portfolio_video_popup_url_webm;
$popup_self_hosted_src          = ! empty( $portfolio_video_popup_url_mp4 ) ? $portfolio_video_popup_url_mp4 : $portfolio_video_popup_url_webm;
$has_video_popup = $is_video_popup_self_hosted || (! empty( $portfolio_video_popup_url ));

if ( is_array( $portfolios ) ) {
	foreach ( $portfolios as $portfolio ) {
		$articleClass .= 'portfolio_' . $portfolio->term_id . '_item ';
	}
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $articleClass ); ?>>

	<?php if ( $popup_video_type === 'self_hosted' && $is_video_popup_self_hosted ): ?>
    	<div id="zoom-popup-<?php echo the_ID(); ?>" class="animated slow mfp-hide"
    	     data-src="<?php echo $popup_self_hosted_src; ?>">
    		<div class="mfp-iframe-scaler">
    			<?php
    			echo wp_video_shortcode(
    				array(
    					'src'  => $popup_self_hosted_src,
    					'loop' => 'on'
    					//'autoplay' => 'on'
    				) );
    			?>
    		</div>
    	</div>
	<?php endif;?>

	<a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo esc_attr( get_the_title() ); ?>">
		<?php if($has_video_popup): ?>
		<div class="entry-thumbnail-popover">
			<div class="entry-thumbnail-popover-content popover-content--animated">
				<?php if ( $popup_video_type === 'self_hosted' && $is_video_popup_self_hosted ): ?>
					<span href="#zoom-popup-<?php echo the_ID(); ?>" class="mfp-inline portfolio-popup-video"></span>
				<?php elseif ( $popup_video_type === 'external_hosted' && ! empty( $portfolio_video_popup_url ) ): ?>
					<span class="mfp-iframe portfolio-popup-video"
					      href="<?php echo $portfolio_video_popup_url; ?>"></span>
				<?php endif; ?>
			</div>
		</div>
		<?php endif;?>

		<?php if ( has_post_thumbnail() )  : ?>

			<?php the_post_thumbnail( 'portfolio_item-thumbnail' ); ?>

		<?php endif; ?>

	</a>

	<?php the_title( sprintf( '<h3 class="portfolio_item-title_btm"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>

</article>